For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • POSTUpdate User Property
      • POSTSet an Unset Property
      • POSTIncrement/Decrement Numeric Property
      • POSTAppend Values to List
      • POSTRemove Value From List
      • POSTUnset User Property
      • POSTBatch Update User Properties
LogoLogo
LoginTalk to us
API ReferenceUser Properties

Batch Update User Properties

POST
https://api.fyno.io/v1/:WSID/:version/profiles/properties/batch
POST
/v1/:WSID/:version/profiles/properties/batch
$curl -X POST https://api.fyno.io/v1/FYXXXXXXXX/live/profiles/properties/batch \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "batch": [
> {
> "distinct_id": "XXXXXXXX",
> "action": {}
> }
> ]
>}'
1{
2 "request_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
3 "batch": [
4 {
5 "$set": "ok",
6 "$once": "ok",
7 "$add": "ok",
8 "$append": "ok",
9 "$remove": "ok",
10 "$unset": "ok"
11 }
12 ]
13}
This API enables you to modify user properties of your users listed in your [User Profiles](../user-profiles-overview) in bulk:<br/><ul><li>[Update User Properties](./update-user-property) - `$set`</li><li>[Set Unset Properties](./set-an-unset-property) - `$once`</li><li>[Increment/Decrement Numeric Properties](./increment-decrement-numeric-property) - `$add`</li><li>[Append Values to List](./append-values-to-list) - `$append`</li><li>[Remove Values From List](./remove-value-from-list) - `$remove`, and</li><li>[Unset User Properties](./unset-user-property) `$unset`</li></ul><strong>Please refer to function specific API documentation for [&#36;set](./update-user-property), [&#36;once](./set-an-unset-property), [&#36;add](./increment-decrement-numeric-property), [&#36;append](./append-values-to-list), [&#36;remove](./remove-value-from-list), [&#36;unset](./unset-user-property) before using this API.</strong><br/></br><br/>**Note:** The user properties in User Profiles can be used to filter your users for creating [user cohorts](../creating-cohorts) and [campaigns](../campaign_creation#creating-a-campaign-using-cohort).
Was this page helpful?
Previous

Get Suppression List

Next
Built with
This API enables you to modify user properties of your users listed in your User Profiles in bulk:
  • Update User Properties - $set
  • Set Unset Properties - $once
  • Increment/Decrement Numeric Properties - $add
  • Append Values to List - $append
  • Remove Values From List - $remove, and
  • Unset User Properties $unset
Please refer to function specific API documentation for $set, $once, $add, $append, $remove, $unset before using this API.

Note: The user properties in User Profiles can be used to filter your users for creating user cohorts and campaigns.

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionenumRequiredDefaults to live
Specify the version for which you would like to update the user property.
Allowed values:

Request

This endpoint expects an object.
batchlist of objectsRequired

Enter an array of objects with distinct_id and action to perform on the user properties

Response

Request has been accepted and will be processed asynchronously.
request_idstring
batchlist of objects

Errors

400
Bad Request Error
401
Unauthorized Error